{*novaVlastnost*}
<button class="btn btn-success d-flex align-items-center" data-bs-toggle="modal" data-bs-target="#novaVlastnostModal">
    <i class="fas fa-plus me-2"></i>
    Přidat
</button>
<!-- Modal -->
<div class="modal fade" id="novaVlastnostModal">
    <div class="modal-dialog">
        <form n:name=novaVlastnostForm>
            <div class="modal-content">
                <div class="modal-header bg-success text-white">
                    <h5 class="modal-title mb-0">Nová vlastnost</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body text-default">
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="fas fa-pen"></i></span>
                        <input n:name="nazev" class="form-control nazev" placeholder="Název vlastnosti" onchange="checkNewVlast()">
                    </div>
                    <div id="nazevCheckMessage" class="form-text text-danger" style="display: none">Název je již použit u jiné vlastnosti!</div>
                    <div class="mb-3">
                        <div class="form-check">
                            <input class="form-check-input" n:name="filtr">
                            <label class="form-check-label">
                                Filtrovatelná
                            </label>
                        </div>
                        <div class="form-text text-warning mb-3">Určuje, zda je vlastnost používána ve filtraci produktů.</div>
                    </div>
                </div>
                <div class="modal-footer">
                    <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                    <input n:name="send" class="btn btn-outline-success send">
                </div>
            </div>
        </form>
    </div>
</div>
<script>
    function checkNewVlast()
    {
        let nazev = $('.nazev').val();
        console.log(nazev);

        naja.makeRequest('POST', {link 'checkNazev'} , { {$control->getParameterId('nazev') }: nazev })
        .then((payload) => {
            console.log(payload)
            if (payload.check == 1)
            {
                $('.send').prop('disabled', true);
                $('#nazevCheckMessage').show();
                $('.nazev').removeClass('is-valid');
                $('.nazev').addClass('is-invalid');
            }else{
                $('.send').prop('disabled', false);
                $('#nazevCheckMessage').hide()
                $('.nazev').removeClass('is-invalid');
                $('.nazev').addClass('is-valid');
            }
        })
        .catch((error) => { console.log(error) });
    }
</script>